HomeAPI ReferenceWalletsGet Client Wallet by Asset
GET/wallets/client-wallet-by-asset/{assetId}/{clientId}

Get Client Wallet by Asset

Outcome - Returns a client's wallet for one asset, and creates it if it does not exist yet (for example after a new token was added to the vault). clientId here is the RoxCustody client ID (a number).

Path Parameters

assetIdnumber

Asset ID

clientIdnumber

RoxCustody client ID

Responses

Response attributes

messagestring

Response message

dataobject

Wallet details

Show child attributes (9)
idnumber

Wallet ID

balancestring

Available balance

pendingBalancestring

Pending balance

publicAddressstring

Public blockchain address of the wallet

transactionsCountstring

Number of transactions

targetIdnumber

Target ID

createdAtstring

Wallet creation timestamp

updatedAtstring

Wallet last updated timestamp

typestring

Wallet type

statusnumber

HTTP status code

Was this page helpful?